%define commit_id 35338a09e8442b2b72f195a445f2426b457b1028
%define _name SierraBreezeEnhanced
%define lower_name %{lower:%_name}

Name:       %_name
Version:    V.2.1.0_2_g35338a0
Release:    %autorelease
Summary:    KDE Breeze decoration with additional options

License:    GPL-3.0
URL:        https://github.com/kupiqu/%{_name}

Source:    %{url}/archive/%{commit_id}.tar.gz#/%{_name}-%{commit_id}.tar.gz

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: kf6-kiconthemes-devel
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(KF6GuiAddons)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KDecoration3)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6ConfigWidgets)
BuildRequires: qt6-qt5compat-devel
BuildRequires: kf6-kcmutils-devel
BuildRequires: qt6-qtbase-private-devel
BuildRequires: tree

%description
Originally a fork of BreezeEnhanced to make it (arguably) more minimalistic and informative

%prep
# %autosetup -n %{name}-%{commit_id}
echo '----------------------------------------'
echo %{_name} %lower_name
echo '----------------------------------------'

%build
%cmake -DCMAKE_INSTALL_PREFIX=/usr -DKDE_INSTALL_LIBDIR=lib -DBUILD_TESTING=OFF -DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%cmake_build

%install
%cmake_install

%check
sh -c "tree %{buildroot}"

%files
%{_libdir}/qt6/plugins/org.kde.kdecoration3/%{lower_name}.so
%{_libdir}/qt6/plugins/org.kde.kdecoration3.kcm/kcm_%{lower_name}decoration.so
%{_prefix}/lib/lib%{lower_name}common6.so.3.5.0
%{_prefix}/lib/lib%{lower_name}common6.so.0
%{_datadir}/applications/%{lower_name}.desktop
%{_datadir}/applications/kcm_%{lower_name}decoration.desktop

%changelog
%autochangelog
